Summary: HDHomeRun configuration utility
Name: hdhomerun
Version: 20180327
Release: %mkrel 1.1
License: LGPLv3+
Group: Video
URL: http://www.silicondust.com/
Source0: http://www.silicondust.com/support/hdhomerun/downloads/linux/libhdhomerun_%{version}.tar.xz
Source1: http://www.silicondust.com/support/hdhomerun/downloads/linux/hdhomerun_config_gui_%{version}.tar.xz
Source2: hdhomerun_config_gui.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: %{_lib}gtk+2.0_0-devel
Requires: vlc

%description
libhdhomerun contains the configuration and firmware upgrade
utility for the Silicon Dust HDHomeRun Networked Digital TV Tuner.

%package -n hdhomerun_config_gui
Summary: HDHomeRun Config GUI
License: GPLv3
Group: Video
URL: http://www.silicondust.com/
Requires: hdhomerun = %{version}

%description -n hdhomerun_config_gui
hdhomerun_config_gui contains the configuration GUI for the Silicon
Dust HDHomeRun Networked Digital TV Tuner.

%prep
%setup -q -n libhdhomerun -T -b 0
%setup -q -n hdhomerun_config_gui -T -b 1

%build
./configure --help

./configure --prefix=%{_prefix}

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__install} -m0755 ../libhdhomerun/hdhomerun_config $RPM_BUILD_ROOT%{_bindir}/

%{__install} -m 644 -p -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/hdhomerun_config_gui.png

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=HDHomeRun Config
Comment=HDHomeRun Config GUI
Icon=hdhomerun_config_gui
Exec=hdhomerun_config_gui
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;
EOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT
%{__rm} -rf libhdhomerun

%post
/sbin/ldconfig
%update_menus
%update_desktop_database

%postun
/sbin/ldconfig
%clean_menus
%clean_desktop_database

%files
%defattr(-,root,root,-)
%doc ../libhdhomerun/README.md ../libhdhomerun/LICENSE
%{_bindir}/hdhomerun_config
/usr/lib

%files -n hdhomerun_config_gui
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING INSTALL NEWS
%{_bindir}/hdhomerun_config_gui
%{_datadir}/pixmaps
%{_datadir}/applications

%changelog
* Sun Dec 23 2018 adrianomorselli <adrianomorselli> 20180327-1.1uplos2019
- update
